GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_connectivity_state_watcher Struct Reference

`#include <connectivity_state.h>`

## Data Fields
struct grpc_connectivity_state_watcher * | next
| we keep watchers in a linked list More...
grpc_iomgr_closure * | notify
| closure to notify on change More...
grpc_connectivity_state * | current
| the current state as believed by the watcher More...

## Field Documentation

grpc_connectivity_state* grpc_connectivity_state_watcher::current

the current state as believed by the watcher

struct grpc_connectivity_state_watcher* grpc_connectivity_state_watcher::next

we keep watchers in a linked list

grpc_iomgr_closure* grpc_connectivity_state_watcher::notify

closure to notify on change

The documentation for this struct was generated from the following file:

- src/core/transport/connectivity_state.h